SoEngineOutputList(3IV)

NAME
SoEngineOutputList — maintains a list of pointers to engine outputs

INHERITS FROM
SbPList > SoEngineOutputList

SYNOPSIS
#include <Inventor/SoLists.h>

Methods from class SoEngineOutputList:

SoEngineOutputList()

SoEngineOutputList(int size)

SoEngineOutputList(const SoEngineOutputList &l)

~SoEngineOutputList()
void
append(SoEngineOutput *engineOutput)
void
insert(SoEngineOutput *engineOutput, int addBefore)
void
set(int i, SoEngineOutput *engineOutput)
SoEngineOutput *
operator [](int i) const

Methods from class SbPList:

int
find(const void *ptr) const
void
remove(int which)
int
getLength() const
void
truncate(int start)
void
copy(const SbPList &pl)
SbPList &
operator =(const SbPList &pl)
int
operator ==(const SbPList &pl) const
int
operator !=(const SbPList &pl) const

DESCRIPTION
This subclass of SbPlist holds lists of pointers to SoEngineOutputs. It updates reference counts to engine outputs in the list whenever adding or removing pointers.

METHODS

SoEngineOutputList()
Constructor.

SoEngineOutputList(int size)
Constructor that pre-allocates storage for size pointers.

SoEngineOutputList(const SoEngineOutputList &l)
Constructor that copies the contents of another list.

~SoEngineOutputList()
Destructor.

void
append(SoEngineOutput *engineOutput)
Adds an engine output to the end of the list.

void
insert(SoEngineOutput *engineOutput, int addBefore)
Inserts the given engine output in the list before the element of the given index.

void
set(int i, SoEngineOutput *engineOutput)
Sets an element of a list.

SoEngineOutput *
operator [](int i) const
Accesses an element of a list.

SEE ALSO
SoEngineOutput